Package ru.bitel.oss.systems.inventory.subscription.common.event

# Class SubscriptionTypeListAvailableEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.oss.systems.inventory.subscription.common.event.SubscriptionTypeListAvailableEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class SubscriptionTypeListAvailableEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubscriptionTypeListAvailableEvent(int contractId, int userId, Date date, Contract contract, Set<Integer> tariffIds, List<Subscription> currentContractOptionList, boolean onlyAvailable, List<SubscriptionType> tariffOptionList)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Contract`
  `getContract()`
  `List<Subscription>`
  `getCurrentSubscriptionList()`
  `Date`
  `getDate()`
  `Set<Integer>`
  `getTariffIds()`
  `List<SubscriptionType>`
  `getTariffOptionList()`
  `boolean`
  `isOnlyAvailable()`
  `void`
  `setSubscriptionTypeList(List<SubscriptionType> tariffOptionList)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SubscriptionTypeListAvailableEvent

    public SubscriptionTypeListAvailableEvent(int contractId, int userId, Date date, Contract contract, Set<Integer> tariffIds, List<Subscription> currentContractOptionList, boolean onlyAvailable, List<SubscriptionType> tariffOptionList)

- ## Method Details

  - ### getDate

    public Date getDate()

  - ### getContract

    public Contract getContract()

  - ### getTariffIds

    public Set<Integer> getTariffIds()

  - ### getCurrentSubscriptionList

    public List<Subscription> getCurrentSubscriptionList()

  - ### isOnlyAvailable

    public boolean isOnlyAvailable()

  - ### getTariffOptionList

    public List<SubscriptionType> getTariffOptionList()

  - ### setSubscriptionTypeList

    public void setSubscriptionTypeList(List<SubscriptionType> tariffOptionList)